import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { CompoundBorrowContractPositionFetcher, CompoundBorrowTokenDataProps, GetMarketsParams } from '../../../apps/compound/common/compound.borrow.contract-position-fetcher';
import { GetDataPropsParams, GetTokenBalancesParams, GetTokenDefinitionsParams } from '../../../position/template/contract-position.template.types';
import { AurigamiAuToken, AurigamiComptroller, AurigamiContractFactory } from '../contracts';
export declare class AuroraAurigamiBorrowContractPositionFetcher extends CompoundBorrowContractPositionFetcher<AurigamiAuToken, AurigamiComptroller> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: AurigamiContractFactory;
    groupLabel: string;
    comptrollerAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: AurigamiContractFactory);
    getCompoundCTokenContract(address: string): AurigamiAuToken;
    getCompoundComptrollerContract(address: string): AurigamiComptroller;
    getMarkets({ contract }: GetMarketsParams<AurigamiComptroller>): Promise<string[]>;
    getUnderlyingAddress({ contract }: GetTokenDefinitionsParams<AurigamiAuToken>): Promise<string>;
    getExchangeRate({ contract }: GetDataPropsParams<AurigamiAuToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getExchangeRateMantissa(params: GetDataPropsParams<AurigamiAuToken, CompoundBorrowTokenDataProps>): Promise<number>;
    getBorrowRate({ contract }: GetDataPropsParams<AurigamiAuToken, CompoundBorrowTokenDataProps>): Promise<number | import("ethers").BigNumber>;
    getCash({ contract }: GetDataPropsParams<AurigamiAuToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenSupply({ contract }: GetDataPropsParams<AurigamiAuToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenDecimals({ contract }: GetDataPropsParams<AurigamiAuToken, CompoundBorrowTokenDataProps>): Promise<number>;
    getBorrowBalance({ address, contract }: GetTokenBalancesParams<AurigamiAuToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
}
